### Hierarchy

- LayoutEdge
  - TreeEdge

This holds TreeLayout-specific information about Links.

This class inherits from LayoutEdge.

## Index

### Constructors

- constructor

### Properties

- relativePoint

### Methods

- commit

## Constructors

### constructor

- new TreeEdge(network: TreeNetwork): TreeEdge

- #### Parameters

  - ##### network: TreeNetwork

  #### Returns TreeEdge

## Properties

### relativePoint : Point

- Gets or sets a Point, relative to the parent node, that may be useful in routing this link.

## Methods

### Override commit

- commit(): void

- Commits the position of the Link and routes it.

  #### Returns void

Copyright © 1998-2019 by Northwoods Software Corporation.